#ifndef GAME_H
#define GAME_H
#include "config.h"
//#include "stage.h"
#include "bin_deg.h"
#include "param.h"
#include "uty.h"

typedef enum {
              gs_normal,
              gs_dying,
              gs_clear,
} game_state_t;



game_state_t get_game_state(void);
void set_game_state(game_state_t state);

void game_init(void);
void setup_game_classic(void);
void game_classic_keyh(int key);
void game_classic_key_releaseh(int key);
void game_classic_timerh(void);

void setup_game_uroboros(void);
void game_uroboros_keyh(int key);
void game_uroboros_key_releaseh(int key);
void game_uroboros_timerh(void);



void quit_game(void);
void retry_game(void);
void set_score(int val);
int get_score(void);
void add_score(int val);
void set_hiscore(int val);
int get_hiscore(void);


/*
int get_player_x(void);
int get_player_y(void);
void set_player_xy(int x, int y);
void move(dir_t dir);
void move_player(int nx, int ny, map_element_t me, map_element_t nme);
*/

//void update_route_value(int x, int y);

#endif





