/*
  表示関係のパラメータ
*/
#ifndef LAYOUT_H
#define LAYOUT_H
#include "config.h"
#include "param.h"

#define WIN_WIDTH 800
#define WIN_HEIGHT 600

#define FIELD_TY ((WIN_HEIGHT-FIELD_HEIGHT)/2)
#define FIELD_LX FIELD_TY
#define FIELD_RX (FIELD_LX+FIELD_WIDTH)
#define FIELD_BY (FIELD_TY+FIELD_HEIGHT)

// フォント1行あたりのピクセル数(フォント高さ+行間)
#define LINESKIP 20

#define THUMB_ROW_NUM 2
#define THUMB_COL_NUM 4
#define THUMB_GRID_SIZE 8
#define THUMB_WIDTH (MAP_WIDTH * THUMB_GRID_SIZE)
#define THUMB_HEIGHT (MAP_HEIGHT * THUMB_GRID_SIZE)
#define THUMB_XSKIP (THUMB_WIDTH+32)
#define THUMB_YSKIP (THUMB_HEIGHT+84)
#define THUMB_XOFFSET 32
#define THUMB_YOFFSET 96

#define TITLE_WIDTH 600
#define TITLE_HEIGHT 136

#define STATUS_LX (FIELD_RX+16)
#define STATUS_TY 64
#define LINE_SKIP 20        


#endif
